diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py
index 5e59547c..76bb1961 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py
@@ -10,92 +10,81 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression.python_test_utils import test_utils as utils
 from . import utils as package_utils
 
 
-class PackagePutTestCase(BaseTestGenerator):
-    """ This class will update new package under test schema. """
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for package node.
-        ('Fetch Package Node URL', dict(
-            url='/browser/package/obj/'))
-    ]
-
-    def setUp(self):
-        super(PackagePutTestCase, self).setUp()
-        schema_info = parent_node_dict["schema"][-1]
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.pkg_name = "pkg_%s" % str(uuid.uuid4())[1:8]
-        self.proc_name = "proc_%s" % str(uuid.uuid4())[1:8]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        server_con = server_utils.connect_server(self, self.server_id)
-
-        if server_con:
-            if "type" in server_con["data"]:
-                if server_con["data"]["type"] == "pg":
-                    message = "Packages are not supported by PG."
-                    self.skipTest(message)
-
-        self.package_id = package_utils.create_package(self.server,
-                                                       self.db_name,
-                                                       self.schema_name,
-                                                       self.pkg_name,
-                                                       self.proc_name)
+@pytest.mark.skip_databases(['gpdb', 'pg'])
+class TestPackagePut:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_package_put(self, context_of_tests):
+        """
+        When the package PUT request is send to the backend
+        it returns 200 status
+        """
 
-    def runTest(self):
-        """ This function will update package under test schema. """
+        url = '/browser/package/obj/'
 
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        db_name = server_data['db_name']
 
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
+        schema_name = server_data['schema_name']
+        schema_id = server_data['schema_id']
 
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema.")
+            raise Exception('Could not find the schema.')
 
-        package_response = package_utils.verify_package(self.server,
-                                                        self.db_name,
-                                                        self.schema_name)
+        pkg_name = 'pkg_%s' % str(uuid.uuid4())[1:4]
+        proc_name = 'proc_%s' % str(uuid.uuid4())[1:4]
+        package_id = package_utils.create_package(
+            server,
+            db_name,
+            schema_name,
+            pkg_name,
+            proc_name)
+
+        package_response = package_utils.verify_package(server,
+                                                        db_name,
+                                                        schema_name)
 
         if not package_response:
-            raise Exception("Could not find the package.")
+            raise Exception('Could not find the package.')
 
         data = {
-            "description": "This is FTS template update comment",
-            "id": self.package_id
+            'description': 'This is FTS template update comment',
+            'id': package_id
         }
 
-        put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' +
-            str(self.db_id) + '/' +
-            str(self.schema_id) + '/' +
-            str(self.package_id),
+        response = http_client.put(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' +
+            str(db_id) + '/' +
+            str(schema_id) + '/' +
+            str(package_id),
             data=json.dumps(data),
             follow_redirects=True)
 
-        self.assertEquals(put_response.status_code, 200)
-
-    def tearDown(self):
-        """This function disconnect the test database."""
-
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'package',
+            'pgadmin.node.package',
+            False,
+            'icon-package',
+            pkg_name
+        )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/__init__.py
index 6ab8c7ef..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/__init__.py
@@ -6,10 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class SequenceTestGenerator(BaseTestGenerator):
-    def runTest(self):
-        return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
index d580159d..e9a87817 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
@@ -10,79 +10,66 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class SequenceAddTestCase(BaseTestGenerator):
-    """ This class will add new sequence(s) under schema node. """
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for sequence node.
-        (
-            'Fetch sequence Node URL (valid optional data)',
-            dict(
-                url='/browser/sequence/obj/',
-                # Valid optional data
-                data={
-                    "cache": "1",
-                    "cycled": True,
-                    "increment": "1",
-                    "maximum": "100000",
-                    "minimum": "1",
-                    "name": "test_sequence_add_%s" % (str(uuid.uuid4())[1:8]),
-                    "securities": [],
-                    "start": "100"
-                }
-            )
-        ),
-        (
-            'Fetch sequence Node URL (invalid optional data)',
-            dict(
-                url='/browser/sequence/obj/',
-                # Optional fields should be int but we are passing empty str
-                data={
-                    "cache": "",
-                    "cycled": False,
-                    "increment": "",
-                    "maximum": "",
-                    "minimum": "",
-                    "name": "test_sequence_add_%s" % (str(uuid.uuid4())[1:8]),
-                    "securities": [],
-                    "start": ""
-                }
-            )
-        )
-    ]
-
-    def setUp(self):
-        super(SequenceAddTestCase, self).setUp()
-
-    def runTest(self):
-        """This function will add sequence(s) under schema node."""
-        db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add sequence.")
-        schema_id = schema_info["schema_id"]
-        schema_name = schema_info["schema_name"]
+@pytest.mark.skip_databases(['gpdb'])
+class TestSequenceAdd:
+    def test_sequence_add(self, request, context_of_tests):
+        """
+        When the sequence add request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/sequence/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+
         schema_response = schema_utils.verify_schemas(self.server,
-                                                      db_name,
-                                                      schema_name)
+                                                      self.db_name,
+                                                      self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add sequence.")
-        db_user = self.server["username"]
+            raise Exception("Could not find the schema.")
 
-        common_data = {
+        sequence_name = "test_sequence_add_%s" % (str(uuid.uuid4())[1:8])
+        db_user = self.server["username"]
+        data = {
+            "cache": "1",
+            "cycled": True,
+            "increment": "1",
+            "maximum": "100000",
+            "minimum": "1",
+            "name": sequence_name,
+            "securities": [],
+            "start": "100",
             "relacl": [
                 {
                     "grantee": db_user,
@@ -107,20 +94,120 @@ class SequenceAddTestCase(BaseTestGenerator):
                         ]
                 }
             ],
-            "schema": schema_name,
+            "schema": self.schema_name,
             "seqowner": db_user,
         }
-
-        self.data.update(common_data)
-
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(schema_id) + '/',
-            data=json.dumps(self.data),
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/',
+            data=json.dumps(data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'sequence',
+            'pgadmin.node.sequence',
+            False,
+            'icon-sequence',
+            sequence_name
+        )
+
+    def test_sequence_add_invalid(self, request, context_of_tests):
+            """
+            When the sequence add request is send to the backend
+            With invalid options
+            It returns 200 status
+            """
+            request.addfinalizer(self.tearDown)
+
+            url = '/browser/sequence/obj/'
+
+            self.tester = context_of_tests['test_client']
+            self.server = context_of_tests['server']
+            self.server_data = parent_node_dict['database'][-1]
+            self.server_id = self.server_data['server_id']
+            self.db_id = self.server_data['db_id']
+            self.db_name = self.server_data['db_name']
+
+            self.schema_info = parent_node_dict['schema'][-1]
+            self.schema_name = self.schema_info['schema_name']
+            self.schema_id = self.schema_info['schema_id']
+
+            db_con = database_utils.connect_database(self,
+                                                     utils.SERVER_GROUP,
+                                                     self.server_id,
+                                                     self.db_id)
+            if not db_con["info"] == "Database connected.":
+                raise Exception("Could not connect to database.")
+
+            schema_response = schema_utils.verify_schemas(self.server,
+                                                          self.db_name,
+                                                          self.schema_name)
+            if not schema_response:
+                raise Exception("Could not find the schema.")
+
+            sequence_name = "test_sequence_add_%s" % (str(uuid.uuid4())[1:8])
+            db_user = self.server["username"]
+            # Optional fields should be int but we are passing empty str
+            data = {
+                "cache": "",
+                "cycled": False,
+                "increment": "",
+                "maximum": "",
+                "minimum": "",
+                "name": sequence_name,
+                "securities": [],
+                "start": "",
+                "relacl": [
+                    {
+                        "grantee": db_user,
+                        "grantor": db_user,
+                        "privileges":
+                            [
+                                {
+                                    "privilege_type": "r",
+                                    "privilege": True,
+                                    "with_grant": True
+                                },
+                                {
+                                    "privilege_type": "w",
+                                    "privilege": True,
+                                    "with_grant": False
+                                },
+                                {
+                                    "privilege_type": "U",
+                                    "privilege": True,
+                                    "with_grant": False
+                                }
+                            ]
+                    }
+                ],
+                "schema": self.schema_name,
+                "seqowner": db_user,
+            }
+            response = self.tester.post(
+                url + str(utils.SERVER_GROUP) + '/' +
+                str(self.server_id) + '/' +
+                str(self.db_id) + '/' +
+                str(self.schema_id) + '/',
+                data=json.dumps(data),
+                content_type='html/json')
+
+            response.status_code | should.be.equal.to(200)
+            json_response = convert_response_to_json(response)
+            assert_json_values_from_response(
+                json_response,
+                'sequence',
+                'pgadmin.node.sequence',
+                False,
+                'icon-sequence',
+                sequence_name
+            )
 
     def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
index a11c5be5..f33f18c3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
@@ -9,61 +9,85 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as sequence_utils
 
 
-class SequenceDeleteTestCase(BaseTestGenerator):
-    """This class will delete added sequence under schema node."""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for sequence node.
-        ('Fetch sequence Node URL', dict(url='/browser/sequence/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestSequenceDelete:
+    def test_sequence_delete(self, request, context_of_tests):
+        """
+        When the sequence delete request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/sequence/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
 
-    def setUp(self):
-        super(SequenceDeleteTestCase, self).setUp()
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add sequence.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add sequence.")
-        self.sequence_name = "test_sequence_delete_%s" % str(uuid.uuid4())[1:8]
-        self.sequence_id = sequence_utils.create_sequences(
-            self.server, self.db_name, self.schema_name, self.sequence_name)
+            raise Exception("Could not find the schema.")
 
-    def runTest(self):
-        """ This function will delete added sequence under schema node. """
+        sequence_name = "test_sequence_delete_%s" % str(uuid.uuid4())[1:8]
+        self.sequence_id = sequence_utils.create_sequences(
+            self.server,
+            self.db_name,
+            self.schema_name,
+            sequence_name
+        )
         sequence_response = sequence_utils.verify_sequence(self.server,
                                                            self.db_name,
-                                                           self.sequence_name)
+                                                           sequence_name)
         if not sequence_response:
             raise Exception("Could not find the sequence to delete.")
+
         response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
             str(self.sequence_id),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Sequence dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
 
     def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
index 199ca37f..1424962a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
@@ -9,56 +9,77 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as sequence_utils
 
 
-class SequenceGetTestCase(BaseTestGenerator):
-    """This class will fetch added sequence under schema node."""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for sequence node.
-        ('Fetch sequence Node URL', dict(url='/browser/sequence/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestSequenceGet:
+    def test_sequence_get(self, request, context_of_tests):
+        """
+        When the sequence get request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/sequence/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
 
-    def setUp(self):
-        super(SequenceGetTestCase, self).setUp()
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add sequence.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add sequence.")
-        self.sequence_name = "test_sequence_delete_%s" % str(uuid.uuid4())[1:8]
+            raise Exception("Could not find the schema.")
+
+        sequence_name = "test_sequence_delete_%s" % str(uuid.uuid4())[1:8]
         self.sequence_id = sequence_utils.create_sequences(
-            self.server, self.db_name, self.schema_name, self.sequence_name)
+            self.server,
+            self.db_name,
+            self.schema_name,
+            sequence_name
+        )
 
-    def runTest(self):
-        """This function will fetch added sequence under schema node."""
         response = self.tester.get(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
             str(self.sequence_id),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('oid')
+        json_response | should.have.key('name') > \
+            should.be.equal.to(sequence_name)
 
     def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
